------------------------------------------------------------------------------------
--Name:  	zqjuqing2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-08-13
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(361, 195)
CppScriptMgr:SetViewScale(300)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(359, 202)
player_0:SetCtrlMapView(1)
local effect_3 = CppScriptMgr:AddEffect("_p_4_8161", 355, 191, 33, 1, 1, 1)
local effect_4 = CppScriptMgr:AddEffect("_p_4_8161", 366, 195, 33, 1, 1, 1)
local effect_6 = CppScriptMgr:AddEffect("QiFuLve1", 361, 195, 33, 1, 1, 1)
local effect_7 = CppScriptMgr:AddEffect("_p_48_8196110", 357, 204, 33, 1, 1, 1)
local effect_8 = CppScriptMgr:AddEffect("_p_48_8196110", 362, 207, 33, 1, 1, 1)
local npc_0 = CppScriptMgr:AddSimplePlayer(48827, 356, 197, "BabyJadeRabbit", 0, 0)
local effect_5 = CppScriptMgr:AddEffect("_p_48_8196110", 356, 200, 33, 1, 1, 1)
local effect_9 = CppScriptMgr:AddEffect("_p_48_8196110", 362, 203, 33, 1, 1, 1)
local npc_1 = CppScriptMgr:AddSimplePlayer(48822, 367, 200, "BabyJadeRabbit", 0, 0)
CppScriptMgr:WaitMilSec(200)
player_0:WalkTo(362, 197)
CppScriptMgr:WaitMilSec(300)
player_0:Say("Happy Mid-Autumn Festival! The bright moon will carry our longing.", 1500)
CppScriptMgr:WaitMilSec(1870)
player_0:SetActType(101)
CppScriptMgr:WaitMilSec(430)
player_0:Say("The Milky Way stretches far, and the moonlight is bright. Wish peace in all corners of the world.", 1500)
CppScriptMgr:WaitMilSec(2200)
player_0:Say("Let`s raise our cups together, honoring the moon and praying for well-being.", 1500)
npc_0:Say("For the moon and well-being!", 1500)
npc_1:Say("For the moon and well-being!", 1500)
CppScriptMgr:WaitMilSec(140)
player_0:AddEffect("_p_48_7196220", 33)
player_0:AddEffect("DragonSoul_lqjj", 33)
player_0:AddEffect("100wp_wqbhwl", 33)
player_0:AddEffect("zero8159", 33)
player_0:SetActType(103)
CppScriptMgr:WaitMilSec(660)
local effect_0 = CppScriptMgr:AddEffect("Christmas_shield1", 361, 195, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("Christmas_light2", 361, 195, 33, 1, 1, 1)
local effect_2 = CppScriptMgr:AddEffect("QiFuLve1", 361, 195, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2700)